kudu-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From danburk...@apache.org
Subject [3/6] kudu git commit: build-and-test.sh: update gcovr location
Date Fri, 30 Sep 2016 04:42:43 GMT
build-and-test.sh: update gcovr location

Coverage builds were failing because of this.

Change-Id: I8874d298b6176b4deb45749847032e5c2be55955
Reviewed-on: http://gerrit.cloudera.org:8080/4567
Reviewed-by: David Ribeiro Alves <dralves@apache.org>
Tested-by: Adar Dembo <adar@cloudera.com>


Project: http://git-wip-us.apache.org/repos/asf/kudu/repo
Commit: http://git-wip-us.apache.org/repos/asf/kudu/commit/742d85c5
Tree: http://git-wip-us.apache.org/repos/asf/kudu/tree/742d85c5
Diff: http://git-wip-us.apache.org/repos/asf/kudu/diff/742d85c5

Branch: refs/heads/master
Commit: 742d85c5b92a8f541d9a22e5b96e0f1ce8102169
Parents: fcbfa90
Author: Adar Dembo <adar@cloudera.com>
Authored: Thu Sep 29 14:42:26 2016 -0700
Committer: Adar Dembo <adar@cloudera.com>
Committed: Thu Sep 29 21:50:49 2016 +0000

----------------------------------------------------------------------
 build-support/jenkins/build-and-test.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/kudu/blob/742d85c5/build-support/jenkins/build-and-test.sh
----------------------------------------------------------------------
diff --git a/build-support/jenkins/build-and-test.sh b/build-support/jenkins/build-and-test.sh
index 79bea7d..ca27217 100755
--- a/build-support/jenkins/build-and-test.sh
+++ b/build-support/jenkins/build-and-test.sh
@@ -321,7 +321,7 @@ if [ "$DO_COVERAGE" == "1" ]; then
   echo
   echo Generating coverage report...
   echo ------------------------------------------------------------
-  if ! $SOURCE_ROOT/thirdparty/gcovr-3.0/scripts/gcovr \
+  if ! $SOURCE_ROOT/thirdparty/installed/common/bin/gcovr \
       -r $SOURCE_ROOT \
       --gcov-filter='.*src#kudu.*' \
       --gcov-executable=$SOURCE_ROOT/build-support/llvm-gcov-wrapper \


Mime
View raw message